weka.gui.sql.event

## Class HistoryChangedEvent

- java.lang.Object
- - java.util.EventObject
  - - weka.gui.sql.event.HistoryChangedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class HistoryChangedEvent
      extends java.util.EventObject

  An event that is generated when a history is modified.
  Version:
    $Revision: 8034 $
  Author:
    FracPete (fracpete at waikato dot ac dot nz)
  See Also:
    `HistoryChangedListener`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HistoryChangedEvent(java.lang.Object source, java.lang.String name, javax.swing.DefaultListModel history)` constructs the event

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.swing.DefaultListModel` | `getHistory()` returns the history model
    `java.lang.String` | `getHistoryName()` returns the name of the history
    `java.lang.String` | `toString()` returns the event in a string representation

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HistoryChangedEvent

          public HistoryChangedEvent(java.lang.Object source,
                             java.lang.String name,
                             javax.swing.DefaultListModel history)

      constructs the event
      Parameters:
        `name` - the name of the history
        `history` - the model of the history

  - ### Method Detail

    - #### getHistoryName

          public java.lang.String getHistoryName()

      returns the name of the history

    - #### getHistory

          public javax.swing.DefaultListModel getHistory()

      returns the history model

    - #### toString

          public java.lang.String toString()

      returns the event in a string representation
      Overrides:
        `toString` in class `java.util.EventObject`
      Returns:
        the event in a string representation